org.apache.torque.generator.outlet.java

## Class JavadocOutlet

- java.lang.Object
- - org.apache.torque.generator.outlet.OutletImpl
  - - org.apache.torque.generator.outlet.java.JavadocOutlet

- All Implemented Interfaces:
    Outlet

      public class JavadocOutlet
      extends OutletImpl

  An outlet for creating correctly formatted javadoc.
  Version:
    $Id: JavadocOutlet.java 1855923 2019-03-20 16:19:39Z gk $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTRIBUTES_MERGEPOINT_NAME` The name of the mergepoint which contains the javadoc attributes.
    `static String` | `BODY_MERGEPOINT_NAME` The name of the mergepoint which output is used as javadoc body.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavadocOutlet(QualifiedName qualifiedName)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutletResult` | `execute(ControllerState controllerState)` Generates the output for this template into the Generated object.
    `String` | `getIndent()`
    `String` | `getLineBreak()`
    `int` | `getMaxLineLength()`
    `String` | `getRemovableWrapCharacters()`
    `String` | `getWrapAfterCharacters()`
    `void` | `setIndent(String indent)`
    `void` | `setLineBreak(String lineBreak)`
    `void` | `setMaxLineLength(int maxLineLength)`
    `void` | `setRemovableWrapCharacters(String removableWrapCharacters)`
    `void` | `setWrapAfterCharacters(String wrapAfterCharacters)`

    - ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

      `addMergepointMapping, afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMapping, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BODY_MERGEPOINT_NAME

          public static final String BODY_MERGEPOINT_NAME

      The name of the mergepoint which output is used as javadoc body.
      See Also:
        Constant Field Values

    - #### ATTRIBUTES_MERGEPOINT_NAME

          public static final String ATTRIBUTES_MERGEPOINT_NAME

      The name of the mergepoint which contains the javadoc attributes.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavadocOutlet

          public JavadocOutlet(QualifiedName qualifiedName)

      Constructor.
      Parameters:
        `qualifiedName` - the qualified name of the outlet, not null.

  - ### Method Detail

    - #### execute

          public OutletResult execute(ControllerState controllerState)
                               throws GeneratorException

      Description copied from interface: `Outlet`
      Generates the output for this template into the Generated object.
      Specified by:
        `execute` in interface `Outlet`
      Specified by:
        `execute` in class `OutletImpl`
      Parameters:
        `controllerState` - the current controller state, not null.
      Returns:
        the output of the Outlet.
      Throws:
        `GeneratorException` - if generation fails.

    - #### getLineBreak

          public String getLineBreak()

    - #### setLineBreak

          public void setLineBreak(String lineBreak)

    - #### getMaxLineLength

          public int getMaxLineLength()

    - #### setMaxLineLength

          public void setMaxLineLength(int maxLineLength)

    - #### getIndent

          public String getIndent()

    - #### setIndent

          public void setIndent(String indent)

    - #### getRemovableWrapCharacters

          public String getRemovableWrapCharacters()

    - #### setRemovableWrapCharacters

          public void setRemovableWrapCharacters(String removableWrapCharacters)

    - #### getWrapAfterCharacters

          public String getWrapAfterCharacters()

    - #### setWrapAfterCharacters

          public void setWrapAfterCharacters(String wrapAfterCharacters)

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.